Subject: Re: bug#9098: timeout should use waitpid

From: Pádraig Brady <[email-masked]>
Date: Sun, 17 Jul 2011 13:20:24 +0100

On 16/07/11 20:18, Paul Eggert wrote:
> Thanks for reporting that.  I merged that into some
> other timeout stuff I was already looking at, and pushed
> the following set of patches.  They also should fix Bug#9076,
> so I'm CC'ing that and marking both bugs "done".

Thanks for doing that.
I'll add NEWS and a test for 9098 this evening if no one gets to it first.
I notice the commit message is incorrect for this change, but
I'll add some comments around the waitpid call to explain the history.

Also I hinted that the gnulib waitpid module might now be worth including,
but it isn't due to both alarm() and setitimer() not being available on mingw.

cheers,
Pádraig.